# Aliases
# Part of Dolby 1.1

alias Q {
    /query [arg]
    complete
}

alias W {
    /whois [join [args]]
    complete
}

alias WI* {
    /whois [join [args]]
    complete
}

alias KB {
    /ban [lindex [args] 0]
    if {[lindex [args] 1] == ""} {
        /kick [lindex [args] 0] [my_nick]
    } else {
        /kick [lindex [args] 0] [lrange [args] 1 end]
    }
    complete
}

alias KQ {
    /kick [lindex [args] 0] $defaultKick
    /query [lindex [args] 0] 
    /msg [lindex [args] 0] [lrange [args] 1 end]
    complete
}

alias PM {
    /raw PRIVMSG [window_name] :[join [args]]
    echo "[color nick]<[my_nick]>[color public] [join [args]]" [window_type] [window_name]
    complete
}
alias T {
    /topic [join [args]]
    complete
}

alias K {
    /kick [join [args]]
    complete 
}

alias REJOIN {
    foreach chan [args] {
        if {[string match "#*" $chan]} {
            /raw PART $chan
            /raw JOIN $chan
        } else {
            if { [llength [args]] == 0 } {
                set chan [channel]
            }
            /raw PART #$chan
            /raw JOIN #$chan
        }
}
complete
}

            
alias J { 
    foreach chan [args] {
        if {[string match "#*" $chan]} {
            /join $chan
        } else {
            /join #$chan
        }
    }
    complete
}

alias M { /msg [args]; complete }

alias TCL {
            set arg [args]
        set x [catch $arg msg]
        if $x {echo "Tcl error: $msg"} {
                echo "$msg"
            }
    complete
}

alias N { /notice [arg]; complete }


alias OP {foreach {a b c d} [arg] {/mode [channel] +oooo $a $b $c $d};complete}

alias DEOP {foreach {a b c d} [arg] {/mode [channel] -oooo $a $b $c $d};complete}

alias VOICE {foreach {a b c d} [arg] {/mode [channel] +vvvv $a $b $c $d};complete}
alias V {foreach {a b c d} [arg] {/mode [channel] +vvvv $a $b $c $d};complete}

alias UNVOICE {foreach {a b c d} [arg] {/mode [channel] -vvvv $a $b $c $d};complete}
alias UNV {foreach {a b c d} [arg] {/mode [channel] -vvvv $a $b $c $d};complete}

alias PING { /ctcp [arg] PING; complete }
alias P { /ctcp [arg] PING; complete }
alias VER { /ctcp [arg] VERSION; complete }

alias VERSION { /ctcp [arg] VERSION; complete }

alias AMSG {
    foreach chan [channels] {
        /msg $chan [join [args]]
        }
  complete
}

alias AME {
    foreach chan [channels] {
        /ctcp $chan ACTION [join [args]]
        }
  complete
}

alias scripts {
    echo "Loaded scripts:"
    set i 0
    foreach s [scripts] {
        echo "\[[incr i]\] $s"
    }
    complete
}

alias splay {
    if { [llength [args]] } {
        if { ![stricmp [arg] "stop"] || ![stricmp [arg] "off"] } {
            mmstop all
        } else {
            set filename [find_file [arg]]
            if { ![string length $filename] } {
                echo "[color error]*** Cannot find \"[arg]\""
            } else {
                set msg [mmplay $filename]
                if { [string length $msg] } { echo "[color error]*** $msg" }
            }
        }
    } else {
        echo "*** USAGE: /SPLAY <filename>"
    }
    complete
}

alias beep { beep; complete }