# Auxiliary functions
# Part of Dolby

proc isOp {channel person} {
    if { [isInList $person $channel] == 1 } { return 1 } else { return 0 }
    }

proc isInList {element list} {
    if { [lsearch -exact $list $element] != -1 } { return 1 } else { return 0 }
    }

proc arg {} {
    return [join [args]]
}

proc getHostType {type nick user host} {
    set netIdx [string last "." $host]
    set domIdx [string last "." [string range $host 0 [expr $netIdx - 1]]]
    set hstIdx [string first "." $host]
    
    switch "$type" {
    "1" {                                                    
        return "${nick}!*[string trimleft ${user} "~"]@${host}"
    } 
    "2" {                                                    
        return "${nick}!*[string trimleft ${user} "~"]@*[string range $host $hstIdx end]"
    } 
    "3" {                                                    
        return "${nick}!*[string trimleft ${user} "~"]@*[string range $host $domIdx end]"
    } 
    "4" {                                                    
        return "${nick}!*@${host}"
    } 
    "5" {                                                    
        return "${nick}!*@*[string range $host $hstIdx end]"
    } 
    "6" {                                                    
        return "${nick}!*@*[string range $host $domIdx end]"
    } 
    "7" {
        return "*!*[string trimleft ${user} "~"]@${host}"
    }
    "8" {
        return "*!*[string trimleft ${user} "~"]@*[string range $host $hstIdx end]"
    }
    "9" {
        return "*!*[string trimleft ${user} "~"]@*[string range $host $domIdx end]"
    }
    "10" {
        return "*!*@${host}"
    }
    "11" {
        return "*!*@*[string range $host $hstIdx end]"
    }
    "12" {
        return "*!*@*[string range $host $domIdx end]"
    }
    default {
        return ""
    }
    }
}

# Ripz0red from dtM: thanks dtM

proc tconv {thetime} {
 set years ""
 set y ""
 set months ""
 set mo ""
 set weeks ""
 set w ""
 set days ""
 set d ""
 set hours ""
 set h ""
 set minutes ""
 set m ""
 set seconds ""
 set s ""
 set idle ""
 if {$thetime > 0} {
  if {$thetime >= 31536000} {
   set years [expr int($thetime/31536000)]
   set thetime [expr $thetime-(31536000*$years)]
   set y "y"
  }
  if {$thetime >= 2592000} {
   set months [expr int($thetime/2592000)]
   set thetime [expr $thetime-(2592000*$months)]
   set mo "mo"
  }
  if {$thetime >= 604800} {
   set weeks [expr int($thetime/604800)]
   set thetime [expr $thetime-(604800*$weeks)]
   set w "w"
  }
  if {$thetime >= 86400} {
   set days [expr int($thetime/86400)]
   set thetime [expr $thetime-(86400*$days)]
   set d "d"
  }
  if {$thetime >= 3600} {
   set hours [expr int($thetime/3600)]
   set thetime [expr $thetime-(3600*$hours)]
   set h "h"
  }
  if {$thetime >= 60} {
   set minutes [expr int($thetime/60)]
   set thetime [expr $thetime-(60*$minutes)]
   set m "m"
  }
  if {$thetime < 60 && $thetime > 0} {
   set seconds $thetime
   set s "s"
  }
 } {
  set seconds 0
  set s "s"
 }
 return "[concat $years$y $months$mo $weeks$w $days$d $hours$h $minutes$m $seconds$s]"
 complete
}