# Away
# Part of Dolby 1.3

set away 0
set awayMessages {}
set awayTime ""
set msglog [get_cookie msgLog 0]

alias MSGLOG {
	if { $msglog == 1 } { 
		set msglog 0
		echo "*** Message log is off"
		} else { 
		set msglog 1
		echo "*** Message log is on"
		}
	set_cookie msgLog $msglog
	complete
	}

alias AFK {
	if { $away == 1 } {
		echo "\aF1*** You're already away"
		complete
		return
		}
	set away 1
	set awayTime [clock seconds]
	set AwayMsg "Away from keyboard."
	/raw away :$AwayMsg (since [clock format $awayTime -format "$awayTimeFormat"])
	complete
	}

alias AWAY {
	if { $away == 1 } {
		echo "\aF1*** You're already away"
		complete
		return
		}
	set away 1
	set awayTime [clock seconds]
	if { [lindex [args] 0] != "" } {
		set AwayMsg [join [args]]
		} else {
		set AwayMsg $defaultAway
		}
	foreach chan [channels] {
		/ctcp $chan ACTION is away: $AwayMsg (since [clock format $awayTime -format "$awayTimeFormat"])
		echo "* [my_nick] is away: $AwayMsg (since [clock format $awayTime -format "$awayTimeFormat"])" channel $chan
		}
	/raw away :$AwayMsg (since [clock format $awayTime -format "$awayTimeFormat"])
	complete
	}

on PRIVMSG {
	if { $msglog == 1 } {
		if { $away == 1 } {
			if { [lindex [args] 0] == [my_nick] } {
				lappend awayMessages "\aF1\002[nick]\002[color default]: [join [lrange [args] 1 end]] "
				complete
				}
			}
		}
	}

alias BAK {
	if { $away != 1 } {
		echo "\aF1*** You're not away"
		complete
		return
		}
	set away 0
	echo "You have [llength $awayMessages] messages."
	foreach msg $awayMessages {
		echo $msg
		}
	/raw away
	set $awayMessages {}
	complete
	}	

alias BACK {
	set backMsg [arg]
	if { $backMsg == "" } { set backMsg $defaultBack }
	if { $away != 1 } {
		echo "\aF1*** You're not away"
		complete
		return
		}
	set away 0
	foreach chan [channels] {
		/ctcp $chan ACTION is back: $backMsg (gone since [clock format $awayTime -format "$awayTimeFormat"])
		echo "* [my_nick] is back: $backMsg (gone since [clock format $awayTime -format "$awayTimeFormat"])" channel $chan
		}
	if { [llength $awayMessages] != 0 } {
		echo "You have [llength $awayMessages] messages."
		foreach msg $awayMessages {
			echo $msg
			}
		}
	/raw away
	set $awayMessages {}
	complete
	}
	