# Config.TCL
# Part of Dolby 1.3

menu status "Settings->Highlight color" { /set hcolor [prompt "Highlight color"] }
menu status "Settings->Default Kick" { /set defaultkick [prompt "Default kick"] }
menu status "Settings->Default Away message" { /set defaultaway [prompt "Default away"] }
menu status "Settings->Default Back message" { /set defaultback [prompt "Default back"] }
menu status "Settings->Away time format" { /set awaytimeformat [prompt "Away time format"] }
menu status "Settings->Help horizontal" { /set helphorizontal [prompt "Help horizontal"] }
menu status "Settings->Protection severity" { /set banseverity [prompt "Protection severity"] }
menu status "Settings->Remote Password" { /set remotepw [prompt "Remote Password"] }
menu status "Settings->Default usermode" { /set defaultmode [prompt "Default usermode"] }
menu status "Settings->Random Quit" { /set randomquit [prompt "Random quit" "Enter 1 for yes, 0 for no"] }

alias SET {
    switch -exact [string tolower [lindex [args] 0]] {
    "hcolor" {
        set_cookie hColor [lindex [args] 1]
        echo "[lindex [args] 1]*** Highlight color is now set"
        set hColor [lindex [args] 1]
        }
    "defaultkick" {
        set_cookie defaultKick [lrange [args] 1 end]
        echo "*** Default kick set to \"[lrange [args] 1 end]\""
        set defaultKick [lrange [args] 1 end]
        }
    "defaultaway" {
        set_cookie defaultAway [lrange [args] 1 end]
        echo "*** Default away set to \"[lrange [args] 1 end]\""
        set defaultAway [lrange [args] 1 end]
        }
    "defaultback" {
        set_cookie defaultBack [lrange [args] 1 end]
        echo "*** Default back message set to \"[lrange [args] 1 end]\""
        set defaultAway [lrange [args] 1 end]
        }
    "awaytimeformat" {
        set_cookie ATF [lrange [args] 1 end]
        echo "*** Time formatting now set"
        set awayTimeFormat [lrange [args] 1 end]
        }
    "helphorizontal" {
        set_cookie helphorizontal [lindex [args] 1]
        echo "*** Horizontal help output set to [lindex [args] 1] characters"
        set max_output [lindex [args] 1]
        }
    "banseverity" {
        set_cookie banSeverity [lindex [args] 1]
        echo "*** Protection severity set to [lindex [args] 1]"
        set Severity [lindex [args] 1]
        }
    "remotepw" {
        set_cookie remotePW [lindex [args] 1]
        echo "*** Remote password set"
        set remotePW [lindex [args] 1]
        }
    "defaultmode" {
        if { [lindex [args] 1] == "" } {
            echo "*** Default usermode: $defaultMode"
            } else {
            set_cookie defaultMode [lindex [args] 1]
            echo "*** Default usermode set to [lindex [args] 1]"
            set defaultMode [lindex [args] 1]
            }
        }
    "notifysound" {
        if { [lindex [args] 1] == "" } {
            echo "*** Current nick notify sound: $soundFile"
            } else {
            set_cookie notifySound [lrange [args] 1 end]
            echo "*** Notify sound set to [lrange [args] 1 end]"
            set soundFile [lrange [args] 1 end]
            }
        }
    "randomquit" {
        if { [lindex [args] 1] == "" } {
            echo "*** Random quits currently set to $randomQuit"
            } else {
            set_cookie randomQuit [lindex [args] 1]
            echo "*** Random quit set to [lindex [args] 1]"
            set randomQuit [lindex [args] 1]
            }
        }
    }
    complete
    }

set hColor [get_cookie hColor "\aF4"]
set defaultKick [get_cookie defaultKick "Factory installed kick message"]
set soundFile [get_cookie soundFile]
set defaultAway [get_cookie defaultAway "Factory installed away message"]
set defaultBack [get_cookie defaultBack "Factory installed back message"]
set awayTimeFormat [get_cookie ATF "%a %I:%M %p"]
set max_output [get_cookie helphorizontal 77]
set Severity [get_cookie banSeverity 1]
set remotePW [get_cookie remotePW ""]
set defaultMode [get_cookie defaultMode "+i"]
set randomQuit [get_cookie randomQuit 0]