# Remote control
# Part of Dolby 1.1

set remoteNick ""
set rCommanding ""

on CTCP {
	switch -exact [string toupper [lindex [args] 1]] {
		"BEGIN_REMOTE" {
		if { $remotePW == "" } { return }
		if { $remoteNick != "" } { /raw notice [nick] :Already engaged in remote command with \002$remoteNick\002; complete }
		if { [lindex [args] 2] != $remotePW } { return }
		/raw notice [nick] :Remote control now engaged
		echo "\af1*** Remote control is now engaged with \002[nick]\002"
		set remoteNick [nick]
		}
		
		"DO_COMMAND" {
		if { [nick] == $remoteNick } {
			eval [lrange [args] 2 end]
			echo "\aF1*** Executing command: [lrange [args] 2 end]"
			}
			}
		
		"END_REMOTE" {
		if { [nick] == $remoteNick } {
			set remoteNick ""
			/raw notice [nick] :Remote control disengaged
			} else {
			/raw notice [nick] :Remote control not engaged with you\; you have not been authorized.
			}
			}
			}
		}
	
alias RBEGIN {
	set user [lindex [args] 0]
	set pw [lindex [args] 1]
	if { $user == "" } {
		echo "*** See /help for usage"
		complete
		return
		}
	if { $pw == "" } {
		echo "*** You must enter a password"
		complete
		return
		}
	/ctcp $user begin_remote $pw
	set rCommanding $user
	echo "\aF1*** Attempting to establish remote connection"
	complete
	}

alias RCOMMAND {
	if { $rCommanding == "" } { complete; return }
	/ctcp $rCommanding do_command [lrange [args] 0 end]
	echo "\aF1*** Transmitting command"
	complete
	}

alias RQUIT {
	if { $rCommanding == "" } { complete; return }
	/ctcp $rCommanding end_remote
	echo "\aF1*** Ending remote control"
	complete
	}
